summaryrefslogtreecommitdiff
path: root/gitlab-ci/clientdata/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gitlab-ci/clientdata/deploy.sh')
-rwxr-xr-xgitlab-ci/clientdata/deploy.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/gitlab-ci/clientdata/deploy.sh b/gitlab-ci/clientdata/deploy.sh
new file mode 100755
index 0000000..4afc0cd
--- /dev/null
+++ b/gitlab-ci/clientdata/deploy.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+cd clientdata
+rm -rf public
+mkdir public
+mkdir shared
+echo >shared/error.log
+echo ${CI_BUILD_ID} >shared/buildid.log
+
+function gitclone {
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 3s
+ git clone $*
+ fi
+ fi
+}
+
+cd ..
+ln -s clientdata client-data
+
+rm -rf music
+gitclone https://gitlab.com/evol/evol-music.git music
+
+cd tools/update
+
+./createnew.sh
+./create_music.sh
+
+cp -r upload/* ../../clientdata/public
+cd ../../clientdata
+gitclone https://gitlab.com/4144/pagesindexgen.git pagesindexgen
+cd pagesindexgen
+./pagesindexgen.py ../public
+ls ../public